Name:           perl-IO-String
Version:        1.08
Release:        35
Summary:        Emulate file interface for in-core strings
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            http://search.cpan.org/dist/IO-String/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/IO-String-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators perl(ExtUtils::MakeMaker) perl(Data::Dumper)
BuildRequires:  perl(IO::Handle) perl(Test)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Data::Dumper) perl(IO::Handle)

%description
The IO-String provides the IO::File interface for in-core strings.
An IO::String object can be attached to a string, and makes it
just like normal file for reading and writing.

%package help
Summary:       Provides man-pages and help docs for perl-IO-String
Requires:      perl-IO-String = %{version}-%{release}

%description help
This package provides man-pages and help docs for perl-IO-String

%prep
%autosetup -n IO-String-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/IO/

%files help
%doc README
%{_mandir}/man3/*.3*

%changelog
* Fri Jul 19 2024 yaoxin <yao_xin001@hoperun.com> - 1.08-35
- License compliance rectification

* Fri Nov 22 2019 sunguoshuai <sunguoshuai@huawei.com> - 1.08-34
- Package init.
